<?php

if ( ! defined( 'ABSPATH' ) ) exit;

require_once "DigitalSignage4_Entity.php";

class DigitalSignage4_PlaylistEntity extends DigitalSignage4_Entity
{
    private $id = null;
    private $title = null;
    private $active = null;
    private $limit = null;
    private $videos = array();

    /**
     * @return null
     */
    public function get_id()
    {
        return $this->id;
    }

    /**
     * @param null $id
     *
     * @return DigitalSignage4_PlaylistEntity
     */
    public function set_id($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * @return null
     */
    public function get_title()
    {
        return $this->title;
    }

    /**
     * @param string $title
     *
     * @return DigitalSignage4_PlaylistEntity
     */
    public function set_title($title)
    {
        $this->title = $title;

        return $this;
    }

    /**
     * @return null
     */
    public function get_active()
    {
        return $this->active;
    }

    /**
     * @param boolean $active
     *
     * @return DigitalSignage4_PlaylistEntity
     */
    public function set_active($active)
    {
        $this->active = $active;

        return $this;
    }

    /**
     * @return null
     */
    public function get_limit()
    {
        return $this->limit;
    }

    /**
     * @param int $limit
     *
     * @return DigitalSignage4_PlaylistEntity
     */
    public function set_limit($limit)
    {
        $this->limit = $limit;

        return $this;
    }

    /**
     * @return array
     */
    public function get_videos()
    {
        return $this->videos;
    }

    /**
     * @param array $videos
     *
     * @return DigitalSignage4_PlaylistEntity
     */
    public function set_videos(array $videos)
    {
        $this->videos = $videos;

        return $this;
    }
}
